## org.eclipse.emf.ecore.xml.type.util
Class XMLTypeResourceImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.common.notify.impl.NotifierImpl
              org.eclipse.emf.ecore.resource.impl.ResourceImpl
                  org.eclipse.emf.ecore.xml.type.util.XMLTypeResourceImpl

All Implemented Interfaces:
  Notifier, Resource, Resource.Internal

    public class XMLTypeResourceImpl

extends ResourceImpl

Provides access to the generated frame factory for the built-in XML types.

Nested Class Summary
`static class` `XMLTypeResourceImpl.DataFrame`
`static class` `XMLTypeResourceImpl.FrameFactory`
`static class` `XMLTypeResourceImpl.Handler`
`static class` `XMLTypeResourceImpl.StackFrame`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.resource.impl.ResourceImpl
`ResourceImpl.ContentsEList<E extends java.lang.Object & EObject>, ResourceImpl.ModificationTrackingAdapter`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.resource.impl.ResourceImpl
`contents, defaultLoadOptions, defaultSaveOptions, errors, intrinsicIDToEObjectMap, isLoaded, isLoading, isModified, modificationTrackingAdapter, resourceSet, unloadingContents, uri, warnings`

Fields inherited from class org.eclipse.emf.common.notify.impl.NotifierImpl
`eAdapters, EDELIVER, eFlags, ELAST_NOTIFIER_FLAG`

Constructor Summary
`XMLTypeResourceImpl(URI uri)` Creates an instance of the resource

Method Summary

Methods inherited from class org.eclipse.emf.ecore.resource.impl.ResourceImpl

`addModificationTrackingAdapters, attached, attachedHelper, basicSetResourceSet, createModificationTrackingAdapter, detached, detachedHelper, doLoad, doSave, doUnload, getAllContents, getAllProperContents, getAllProperContents, getContents, getDefaultURIConverter, getEObject, getEObject, getEObjectByID, getEObjectForURIFragmentRootSegment, getErrors, getIntrinsicIDToEObjectMap, getResourceSet, getURI, getURIConverter, getURIFragment, getURIFragmentRootSegment, getWarnings, isAttachedDetachedHelperRequired, isContentZipEntry, isLoaded, isLoading, isModified, isTrackingModification, load, load, mergeMaps, newContentZipEntry, removeModificationTrackingAdapters, save, save, saveOnlyIfChangedWithFileBuffer, saveOnlyIfChangedWithMemoryBuffer, setIntrinsicIDToEObjectMap, setLoaded, setModified, setTrackingModification, setURI, toKeyString, toString, unload, unloaded, useZip`

Methods inherited from class org.eclipse.emf.common.notify.impl.NotifierImpl
`eAdapters, eBasicAdapters, eDeliver, eSetDeliver`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLTypeResourceImpl

    public XMLTypeResourceImpl(URI uri)

  Creates an instance of the resource.

  Parameters:
    `uri` - the URI of the new resource.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.